8

A recent update of Thunderbird in Ubuntu (version 60.2.1) broke the Lightning calendar installed as add-on. See here. Mozilla provides Lightning as bundled in the last versions, but Ubuntu (and Debian?) package do not, so now there is a mismatch between the Thunderbird version in the repositories and the add-on provided by Mozilla (5.4, only useful for Thunderbird 52).

One suggested option is to search and install beta releases provided by Mozilla, but it looks as a workaround (future automatic updates are compromised). Another is to delete the non-compatible Ligthning add-on and install a separate package (xul-ext-lightning) via apt, but it is not localised (only available in English since at least 2010).

So, which is the proper "future-proof" way to install Lightning in Mozilla Thunderbird from now on (as intended by Ubuntu maintainers)?

  1. Remove the internal add-on (.xpi) and install (xul-ext-lightning) [this package will be updated accordingly, together with Thunderbird and, eventually, localised]
  2. Keep the Mozilla add-on until the mismatch with Thunderbird apt package is fixed
  3. Remove the add-on and wait until a future Thunderbird apt package provides it integrated (as Mozilla bundles it for other platforms)
  • 1
    Option #1 is the fix. – heynnema Oct 18 '18 at 14:20
  • 1
    @heynnema, option #1 is the fix if you are ok with the calendar in English. Given that xul-ext-lightning has not been fixed for i18n in the last 10 years, i would not hold my breath. – Rmano Oct 18 '18 at 14:42
  • FairMiles, it's not at all "future-proof" (and risky versus possible critical bug-fixes) but another option is to stick with an old version until a fix is out. – Rmano Oct 18 '18 at 14:45
  • 1
    @Rmano but you have to downgrade Thunderbird to use the old Lightning add-on. Extra note... TB 60.x disables a lot of existing, working, add-ons... sigh. – heynnema Oct 18 '18 at 14:49
  • @heynnema yes it finally killed off my beloved FireTray. heavy sigh – Organic Marble Oct 18 '18 at 19:55
4

Mozilla provides Lightning as bundled in the last versions, but Ubuntu (and Debian?) package do not [...]

yes, both do not, but they provide lightning via a seperate package (xul-ext-lightning resp. lightning) in their repositories.
debian also provides lang-packs (lightning-l10n-...) for lightning and ubuntu does not. --> that's IMHO the main issue.

[...] so now there is a mismatch between the Thunderbird version in the repositories and the add-on provided by Mozilla [...]

there isn't really a "mismatch"... for whatever reason mozilla simply does not provide lightning as add-on anymore.

(5.4, only useful for Thunderbird ≤52)

to avoid further confusion: lightning 5.4 is only intended to work with thunderbird 52.0!


there is no "one and only right solution" because every workaround has it's pros & cons and depends on your preferences and skills... nonetheless i try to prioritize them:

  1. (if you are ok with lightning in english) the best is definitely to uninstall the lightning-addon and install lightning (xul-ext-lightning) via the repositories:
    https://askubuntu.com/a/1084095/354350
  2. if you need a different language, probably extracting the {e2fda1a4-762b-4020-b5ad-a41df1933103}.xpi (=lightning-addon) from the official mozilla-releases (for every release) and installing into your profile via the addon-manager may be a reasonable workaround: https://askubuntu.com/a/1084220/354350
  3. you can also use the archive provided by mozilla as a whole and update it on its own. - the packages (thunderbird* and xul-ext-lightning) from the repository should be uninstalled in this case.
  4. if you are not afraid of potential bugs and do frequent backups of your data, installing the lightning-betas may also work for you:
    https://askubuntu.com/a/1084255/354350
  5. if you are a skilled tinkerer, you can perhaps use the debian-packages or parts of it (eventually with auto-update), but it is very likely you will end in dependency hell!
  6. if you are that skilled and seriously think about the last workaround, creating a PPA with lightnings lang-packs and providing them to all other users may be by far a better utilization of your time.
  7. staying with an old thunderbird <60 for ages and using an already outdated lightning 5.4 is a really bad idea and should definitely be avoided!

there may be 2 future-proof real solutions for all users, but i would not count on that we see even one of them soon:

  • ubuntu should finally fix it's packages and include lang-packs into/for the lightning-package (xul-ext-lightning)! ...as debian does.
  • mozilla could probably release lightning as add-on again and stop forcing users to fiddle around with separately downloaded betas and so on...
  • Lightning works fine from xul-ext-lightning after uninstalling the plugin (I use Thunderbird in English) but it breaks regional formats for the whole Thunderbird (so not only Lightning becomes affected by the lack of lang-packs). For example, I prefer 24-h format and I cannot get it with Lightning installed: [Thunderbird / Edit / Preferences / Advanced / Date and Time Formatting] just ignores my setting of whole system regional format (which is "English(Australia)") and shows the am-pm format… – FairMiles Nov 16 '18 at 12:23
0

Fix for lightning & exchange calendar

Thunderbird did an automatic update this morning to version 60.2.1 and my calendar (this is provided by work MS office365 (exchange) disappeared. I had been living on legacy Lightning and EWS plugins which were now incompatible. So after some effort I am now back up and running - this is what I did:

1) start Thunderbird goto Tools -> Add-ons and remove the incompatible plugins (greyed out) then quit Thunderbird

2) added xul-ext-lighning from repositories using Synaptic

3) restarted Thunderbird open Calendar pane, under the drop-down menu on right of tool bar I found an option to unsubscribe to the now defunct 'Exchange' calendar (I am not sure this is necessary but this is what I did) and I think you could do this directly from the Events and Tasks tab

4) goto Tools -> Add-ons and download and install the TbSync plugin, restart Thunderbird

5) Under the Edit tab select the new entry 'Synchronization Settings (TbSync)'; bottom left click button 'Account actions' -> '+ New account'; fill in details user name, password and exchange server (I had to use 'custom' option as TbSync could not automatically discover the work 365 server address); after a couple of minutes everything synced and calendar and address book were all correctly re-established.

One question I have is I am not sure how to set TbSync to automatically resynchronise or even if this is a problem.

Addendum - Due to change in TbSync, you now need to also download the Exchange Active Sync (EAS) plugin as well

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.